package com.sys.dao;

import com.sys.model.Oauth2User;
import org.apache.ibatis.annotations.Param;

public interface Oauth2UserMapper {
    int deleteByPrimaryKey(Long id);

    int insert(Oauth2User record);

    int insertSelective(Oauth2User record);

    Oauth2User selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(Oauth2User record);

    int updateByPrimaryKey(Oauth2User record);

    Oauth2User login(@Param("username") String username, @Param("password") String password );
}